
Foreman - Bug #11665

mail subscriptions can't be removed

09/02/2015 08:43 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: E-Mail   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2675

  

Description

When trying to unsubscribe from mail notifications, I was not able to remove my subscription from the database.

quick look in the parameters passed from the browser shows the following:

user[user_mail_notifications_attributes][0][id]=2

user[user_mail_notifications_attributes][0][interval]=#<OpenStruct to_s="", to_translation="No ema

ils">

user[user_mail_notifications_attributes][0][mail_notification_id]=1

Related issues:

Related to Foreman - Bug #9591: Override puppet configuration on host level d... Closed 03/01/2015

Associated revisions

Revision baabd5ae - 09/07/2015 08:28 AM - Shimon Shtein

Fixes #11665 - Removed to_s function from OpenStruct instance

History

#1 - 09/02/2015 09:04 AM - Dominic Cleal

- Related to Bug #9591: Override puppet configuration on host level does not work if specified on host group added

#2 - 09/02/2015 09:04 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 09/02/2015 09:07 AM - Ohad Levy

- Assignee set to Shimon Shtein

#4 - 09/06/2015 02:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2675 added

- Pull request deleted ()

#5 - 09/07/2015 09:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset baabd5aea50751bcbf2ed582be9bbe6f4775b118.
